Bug 428492 - Review Request: perl-Spreadsheet-WriteExcel-Simple - Simple single-sheet Excel document creator
Review Request: perl-Spreadsheet-WriteExcel-Simple - Simple single-sheet Exce...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Spreadshe...
:
Depends On:
Blocks: 428493
  Show dependency treegraph
 
Reported: 2008-01-11 22:18 EST by Chris Weyl
Modified: 2008-01-14 13:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 13:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2008-01-11 22:18:00 EST
SRPM URL: http://fedora.biggerontheinside.net/review/perl-Spreadsheet-WriteExcel-Simple-1.04-1.fc8.src.rpm
SPEC URL: http://fedora.biggerontheinside.net/review/perl-Spreadsheet-WriteExcel-Simple.spec

Description:
This library provides a simple abstraction of the Spreadsheet::WriteExcel
module, for a kinder, gentler method of creating simple single-sheet Excel
documents.
Comment 1 Parag AN(पराग) 2008-01-12 01:46:44 EST
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
d70d682572f56a869046aeae32c5c650  Spreadsheet-WriteExcel-Simple-1.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/01..............ok
t/pod-coverage....ok
t/pod.............ok
All tests successful.
Files=3, Tests=16,  1 wallclock secs ( 0.62 cusr +  0.05 csys =  0.67 CPU)
exit 0
+ Package perl-Spreadsheet-WriteExcel-Simple-1.04-1.fc9 =>
  Provides: perl(Spreadsheet::WriteExcel::Simple) = 1.04
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(IO::Scalar) >= 1.126
perl(Spreadsheet::WriteExcel) >= 0.31 perl(strict)
 APPROVED.
Comment 2 Chris Weyl 2008-01-12 02:01:53 EST
New Package CVS Request
=======================
Package Name: perl-Spreadsheet-WriteExcel-Simple
Short Description: Simple single-sheet Excel document creator
Owners: cweyl
Branches: F-7, F-8, devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-01-12 15:42:52 EST
Can we use the name "Excel" here? It's a registered trademark I think... 
Comment 4 Chris Weyl 2008-01-13 13:01:32 EST
I don't see why not -- it's part of the package name, and there's certainly
precedent for it (e.g. perl-Spreadsheet-WriteExcel, -ParseExcel).  Just
referring to something using a trademarked name doesn't create infringement and
we are talking about Excel here, not using it as a generic equivalent to
"spreadsheet".

..and it's a heck of a lot shorter than
Spreadsheet::WriteThatWhichMustNotBeNamed::Simple ;)
Comment 5 Kevin Fenzi 2008-01-13 23:13:07 EST
Yeah, I guess this is "Nominative fair use" from what I can see, so should be
fine. Sorry for the sidetracking... 

cvs done.

Comment 6 Chris Weyl 2008-01-14 13:14:06 EST
Imported and building...  Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.